<?php

namespace App;

class Error
{
    /**
     * 错误码
     * @var [type]
     */
    public static $errCodes = [
        0 => '成功',
        100 => '请求传递参数有误',
        400 => '请求失败,请稍候再试',
        500 => '未知错误，请联系管理员',

        # 1001~1099
        1001 => '登录凭证校验失败，请重试',
        1002 => '意见反馈保存失败，请重试',
        1003 => '商品已收藏，请刷新页面查看',
        1004 => '商品收藏失败，请重试',
        1005 => '未发现对应商品，请刷新页面重试',
        1006 => '服务开小差了，请重试',
        1007 => '未查询到指定分享信息',
        1008 => '无用户搜索记录',
        1009 => '登录态失效，请重新登录',
        1010 => '请选择需要上传的素材文件',
        1011 => '头像存储失败，请重试',
        1012 => '头像存储失败，请联系管理员',
        1013 => '个人信息未发生更新',
        1014 => '账号不可用',

        1102 => '请求参数有误',
        1103 => '商品标题需超过8个字符',

    ];
    /**
     * 返回错误码
     * @var string
     */
    public static function getError($code = "400", $_ = false)
    {
        if (! isset(self::$errCodes[$code])) {
            $code = "400";
        }
        return ($_ ? "[{$code}]" : "")
            . self::$errCodes[$code];
    }
}
