<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Service\TopicService;
use Illuminate\Http\Request;

class TopicController extends Controller
{
    /**
     * 专题列表
     * */
    public function lists(Request $request)
    {
        $page = $request->input('page', 1);
        $pageSize = $request->input('page_size', 20);

        # 获取专题列表
        list($list, $count) = TopicService::getTopicList($page, $pageSize);

        return self::returnPageValue($list, $count, $pageSize, $page);
    }

    /**
     * 专题商品
     * */
    public function goods(Request $request)
    {
        $validator = \Validator::make($request->all(), [
            'topic_id' => 'required|int',
        ]);

        if ($validator->fails()) {
            return self::returnValue($validator->getMessageBag(), 1102);
        }

        $topicId = (int)$request->input('topic_id');
        $page = $request->input('page', 1);
        $pageSize = $request->input('page_size', 20);

        # 获取我的收藏列表
        list($topicInfo, $count) = TopicService::getTopicGoods($topicId, $page, $pageSize);

        return self::returnPageValue($topicInfo, $count, $pageSize, $page);
    }
}
