<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Service\LoginService;
use App\Service\WechatService;
use Illuminate\Http\Request;

class WechatController extends Controller
{
    /**
     * 小程序登录接口
     * */
    public function login(Request $request)
    {
        $validator = \Validator::make($request->all(), [
            'code' => 'required|string',
        ]);

        if ($validator->fails()) {
            return self::returnValue($validator->getMessageBag(), 1102);
        }

        $code = $request->input('code');
        $errno = 0;
        $userInfo = LoginService::login($code, $errno);

        if($errno) return self::returnValue([], $errno);

        return self::returnValue($userInfo);
    }

    /**
     * 获取添加客服二维码
     * */
    public function qrcode(Request $request)
    {
        return self::returnValue(['url' => 'https://yhq-xcx.wenxingshuju.com/qrcode.jpg']);
    }
}
