<?php

namespace App\Http\Middleware;

use App\Http\Controllers\Controller;
use App\Log;
use App\Models\Redis\RedisModel;
use App\Models\WxUser;
use Closure;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Support\Facades\Auth;

class ApiLoginMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        $userId = $request->input('user_id');
        $ttl = $request->input('ttl');
        $sign = $request->input('sign');

        // redis 登录数据检测
        $random = RedisModel::get(WxUser::USER_LOGIN_RDS . $userId);
        if(empty($random)){
            return new Response(Controller::returnValue([], 1009));
        }

        // 获取用户信息
        $userInfo = WxUser::where('id', $userId)->where('enable', 1)->first();
        if (empty($userInfo)) {
            return new Response(Controller::returnValue([], 1009));
        }

        // 验证签名
        if(check_signature(['user_id'=>$userId, 'ttl'=> $ttl, 'random'=>$random], $sign) === false){
            return new Response(Controller::returnValue([], 1009));
        }

        // 用户信息写如Auth对象
//        Auth::setUser($userInfo);

        return $next($request);
    }
}
