<?php


namespace App\Service;


use App\Models\Redis\RedisModel;
use App\Models\WxUser;

class LoginService
{
    /**
     * 用户登录
     * */
    public static function login($code, &$errno)
    {
        $data = WechatService::getSessionKey($code, $errno);
        if($errno) return [];

        # 查询用户是否已存在
        $userInfo = WxUser::where('openid', $data['openid'])->first();
        if(empty($userInfo)) {      // 用户信息不存在，创建
            $userId = WxUser::createUser($data);
            if(!$userId) {
                $errno = 1006;
                return [];
            }
            $userInfo = WxUser::find($userId);
        } else {
            if(!$userInfo->enable) {
                $errno = 1014;
                return [];
            }
            $userId = $userInfo->id;
        }

        $userInfo->id += 36284667;

        $data['user_info'] = $userInfo;
        $data['user_id'] = $userId;
        $rdsKey = WxUser::USER_LOGIN_RDS . $userId;
        $random = RedisModel::get($rdsKey);
        if (empty($random)) {
            $random = get_random(20);
            RedisModel::setex($rdsKey, 86400 * 30, $random);
        }

        $data['random'] = $random;
        $data['ttl'] = time();

        return $data;
    }
}
